package com.happy.service;

import com.happy.Model.HotelDict;
import com.happy.dto.IPage;

import java.util.List;

public interface HotelDictService {

    /**
     * 描述：新增
     * @param hotel
     * @return
     */
    int insertHotelDict(HotelDict hotel);

    /**
     * 描述：修改
     * @param hotel
     * @return
     */
    int updateHotelDict(HotelDict hotel);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delHotelDict(int id);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    HotelDict getById(int id);

    /**
     * 描述：根据Id查询详细名称
     * @param id
     * @return
     */
    String getDictNameById(int id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<HotelDict> queryPage(String sqlx, int page, int rows);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<HotelDict> queryList(String sqlx);

    /**
     * 描述：查询一条数据
     * @param sqlx
     * @return
     */
    HotelDict getOen(String sqlx);

    /**
     * 描述：根据集合查询有效ids
     * @param ids
     * @return
     */
    String setConfig(String ids);

    int saveBacth(List<HotelDict> dicts);
}
